Subject: Re: bug#7463: truncate

From: Steve Ward <[email-masked]>
Date: Mon, 22 Nov 2010 10:32:25 -0500

On Mon, Nov 22, 2010 at 09:41, Rupert Bruce <[email-masked]> wrote:

> truncate (GNU coreutils) 7.4
>
> Unexpected behavior:
>
> $ ls -l
> total 0
> $ truncate --size 0 *.log
> $ ls
> *.log
>
> I would expect "truncate --size 0 *.log" to truncate any files ending with
> ".log"; instead I get a new file called "*.log"
>
> FYI, one of the first changes I make on a new installation is to alias
> truncate in .bashrc:
> alias ll='ls -l'
> alias la='ls -A'
> alias truncate='truncate --size 0'
>
>
>
>
>

In newer versions of truncate there is a "--no-create" option.

Steve